WhatsApp Business Platform

Migrating customers off a Multi-Partner Solution using Meta Business Suite

Updated: Aug 12, 2026
Copy for LLM
If you are a Tech Provider, you can migrate a client off a Multi-Partner Solution by tagging their Messaging account for migration and instructing them to use Meta Business Suite⁠ to review and accept the request. Once migrated, you can provide messaging services to the client independently.
Migrating a customer off a solution via Meta Business Suite does not require business phone number reverification, so it eliminates any downtime caused by reverification.

Requirements

Your app must already be approved for advanced access for the whatsapp_business_management permission.

Templates

Templates are automatically duplicated in the destination Messaging account and initially granted the same status as their source counterparts.
After duplication however, templates are re-checked to ensure they are correctly categorized according to our guidelines. This may result in some duplicated templates having their status set to REJECTED.
Only templates with both a status of APPROVED and quality_score of GREEN are eligible for duplication. If the destination Messaging account cannot accommodate all of the new templates, we will duplicate as many as we can until the destination Messaging account’s template limit has been reached. Unduplicated templates must be re-created and submitted for approval if they are to be used by the destination Messaging account.
Note that template quality ratings are not duplicated. All duplicated templates will start with an UNKNOWN rating. This rating will remain for the first 24 hours, after which a new rating will be generated if sufficient data is available.

Billing

Messages delivered before migration is complete are charged to the old Solution Partner. Undelivered messages sent before migration is complete will be charged to the old Solution Partner if they are delivered after migration is complete.
Messages delivered after migration is complete are charged to the business customer.

Step 1: Tag the customer’s Messaging account for migration

Use the POST /<WHATSAPP_BUSINESS_ACCOUNT>/set_solution_migration_intent endpoint to tag the business customer’s Messaging account for migration. This generates a migration intent, which indicates your intent to migrate the Messaging account.

Request

curl 'https://graph.facebook.com/<API_VERSION>/<WABA_ID>/set_solution_migration_intent' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <BUSINESS_TOKEN>' \
-d '
{
  "app_id": "<YOUR_APP_ID>"
}'

Response

Upon success:
{
  "id": "<MIGRATION_INTENT_ID>"
}
Capture the migration intent ID.

Step 2: Instruct the customer to unshare their Messaging account and WhatsApp account

Instruct the customer to use the Meta Business Suite to unshare their Messaging account and WhatsApp account with your app. Ask them to:
  1. Access Meta Business Suite’s Business settings panel at https://business.facebook.com/settings/⁠.
  2. Navigate to Messaging Accounts.
  3. Unshare the Tech Provider app from the Messaging account intended for migration.
  4. Navigate to WhatsApp Accounts.
  5. Unshare the Tech Provider app from the WhatsApp account associated with the phone number.

Step 3: Instruct the customer to accept the request and add a payment method

Instruct the client to use the Meta Business Suite to review and accept the request. Until the client adds a payment method, they will be unable to use your app to send template messages to their own customers.
You can provide them with these instructions:
  1. Access Meta Business Suite’s Business settings panel at https://business.facebook.com/settings/⁠.
  2. Navigate to Requests > Received.
  3. Locate the request and click the Review button.
  4. Complete the flow.
Meta Business Suite Settings Requests panel showing a pending request from a Tech Provider to connect a new payment method to the account, with a Review button
WhatsApp for Business (notification@facebookmail.com) also sends an email to anyone who has admin access on the Messaging account, requesting review and acceptance of the request. The button in the email loads the Business settings panel in a new window, so any Messaging account admin can review and accept the request.

Step 4: Get migration status and Messaging account ID

Use the Migration Intent API to get the status of the migration intent as well as the client’s new Messaging account ID.

Request

curl 'https://graph.facebook.com/<API_VERSION>/<MIGRATION_INTENT_ID>' \
-H 'Authorization: Bearer <SYSTEM_TOKEN>'

Response

Upon success:
{
  "status": "<MIGRATION_INTENT_STATUS>",
  "destination_waba": {
    "id": "<BUSINESS_CUSTOMER_WABA_ID>",
    "name": "<BUSINESS_CUSTOMER_WABA_NAME>",
    "currency": "<BUSINESS_CUSTOMER_WABA_CURRENCY>",
    "timezone_id": "<BUSINESS_CUSTOMER_WABA_TIMEZONE>",
    "business_type": "ent",
    "message_template_namespace": "<BUSINESS_CUSTOMER_WABA_TEMPLATE_NAMESPACE>"
  },
  "id": "<MIGRATION_INTENT_ID>"
}
Be sure to capture the client’s destination Messaging account ID (<BUSINESS_CUSTOMER_WABA_ID>).
If <MIGRATION_INTENT_STATUS> is ACCEPTED, the client has reviewed and accepted the migration intent and you can proceed to the next step. If the status is any other value, do not proceed.

Step 5: Get the client’s business token

Use the System User Access Tokens API to get the client’s business token.

Step 6: Subscribe to webhooks on the customer’s new Messaging account

Use the POST /<WABA_ID>/subscribed_apps endpoint to subscribe your app to webhooks on the business customer’s Messaging account. If you want the customer’s webhooks to be sent to a different callback URL than the one set on your app, you have multiple webhook override options.
Use the customer’s destination Messaging account ID for <WABA_ID>.

Request

curl -X POST 'https://graph.facebook.com/<API_VERSION>/<WABA_ID>/subscribed_apps' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

Upon success:
{
  "success": true
}